Bric::Util::Grp::Parts::Member::Contrib - Manages Contributors (members of Bric::Util::Grp::Person groups, that is). $LastChangedRevision$ $LastChangedDate: 2006-03-17 16:26:34 -0800 (Fri, 17 Mar 2006) $ See Bric::Util::Grp::Parts::Member. See Bric::Util::Grp::Parts::Member.

Constructors
See Bric::Util::Grp::Parts::Member. Only lookup() is implemented here. Looks up and instantiates a new Bric::Util::Grp::Parts::Member::Contrib object based on the Bric::Util::Grp::Parts::Member::Contrib object ID passed. If $id is not found in the database, lookup() returns undef. Throws: Too many Bric::Util::Grp::Parts::Member::Contrib objects found. Unable to prepare SQL statement. Unable to connect to database. Unable to select column into arrayref. Unable to execute SQL statement. Unable to bind to columns to statement handle. Unable to fetch row from statement handle. Side Effects: If $id is found, populates the new Bric::Util::Grp::Parts::Member::Contrib object with data from the database before returning it. Notes: NONE.

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Class Methods
See Bric::Util::Grp::Parts::Member. Only my_meths() is overridden here. Returns an anonymous hash of introspection data for this object. If called with a true argument, it will return an ordered list or anonymous array of introspection data. If a second true argument is passed instead of a first, then a list or anonymous array of introspection data will be returned for properties that uniquely identify an object (excluding "id", which is assumed). Each hash key is the name of a property or attribute of the object. The value for a hash key is another anonymous hash containing the following keys: The name of the property or attribute. Is the same as the hash key when an anonymous hash is returned. The display name of the property or attribute. A reference to the method that will retrieve the value of the property or attribute. An anonymous array of arguments to pass to a call to get_meth in order to retrieve the value of the property or attribute. A reference to the method that will set the value of the property or attribute. An anonymous array of arguments to pass to a call to set_meth in order to set the value of the property or attribute. The type of value the property or attribute contains. There are only three types: If the value is a 'short' value, this hash key contains the length of the field. The property is searchable via the list() and list_ids() methods. The property or attribute is required. An anonymous hash of properties used to display the property or attribute. Possible keys include: The display field type. Possible values are The Length, in letters, to display a text or password field. The maximum length of the property or value - usually defined by the SQL DDL. The number of rows to format in a textarea field. The number of columns to format in a textarea field. An anonymous hash of key/value pairs reprsenting the values and display names to use in a select list. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Instance Methods
See Also Bric::Util::Grp::Parts::Member. Return the roles for this contributor Throws: NONE. Side Effects: NONE. Notes: NONE. Return information for a particular role Throws: NONE. Side Effects: NONE. Notes: NONE. Return the person object behind this contributor Throws: NONE. Side Effects: NONE. Notes: NONE. Shortcut for the default method of getting attributes from a group member, which is $member->get_attr({ name => $attr }); By including this convenience method, contributor objects act more like story elements, so it'll be easier for template writers to use. Get a list of grp IDs of groups this object belongs to. Overrides the default implementation because it needs the group memeberships of the underlying person object, rather than of the contributor object. Throws: NONE Side Effects: NONE Notes: NONE

Private Class Methods
See Bric::Util::Grp::Parts::Member.

Private Instance Methods
Returns a list or anonymous array of members of a Bric::Util::Grp::Person group or groups. The supported keys for the $params anonymous hash are: lname fname mname prefix suffix no_grp_id - Excludes members of the group with this ID. grp grp_id active Throws: Unable to prepare SQL statement. Unable to connect to database. Unable to execute SQL statement. Unable to bind to columns to statement handle. Unable to fetch row from statement handle. Side Effects: NONE. Notes: NONE.

Private Functions
NONE. David Wheeler <david@justatheory.com> Bric, Bric::Util::Grp, Bric::Util::Grp::Person, Bric::Util::Grp::Parts::Member